IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network220.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
- Network address
220.0.0.0- Broadcast address
223.255.255.255- First usable
220.0.0.1- Last usable
223.255.255.254- Usable hosts
- 67,108,862 (67,108,864 less the network and broadcast addresses)
- Subnet mask
252.0.0.0- Wildcard mask
3.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /6
- Type
- Public public
- Old class
- C (default /24)
- As numbers
- Hex
DC000000· Integer3690987520to3758096383 - Reverse DNS zones
220.in-addr.arpa221.in-addr.arpa222.in-addr.arpa223.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11011100.00000000.00000000.00000000 | 220.0.0.0 |
| Subnet mask | 11111100.00000000.00000000.00000000 | 252.0.0.0 |
| Network | 11011100.00000000.00000000.00000000 | 220.0.0.0 |
| Broadcast | 11011111.11111111.11111111.11111111 | 223.255.255.255 |
Split into smaller subnets
/7 (2)/8 (4)/9 (8)/10 (16)/11 (32)/12 (64)/13 (128)/14 (256)/15 (512)/16 (1,024)/17 (2,048)/18 (4,096)
220.0.0.0/6 makes 256 subnets of /14.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 220.0.0.0/14 | 220.0.0.1 to 220.3.255.254 | 220.3.255.255 | 262,142 |
| 2 | 220.4.0.0/14 | 220.4.0.1 to 220.7.255.254 | 220.7.255.255 | 262,142 |
| 3 | 220.8.0.0/14 | 220.8.0.1 to 220.11.255.254 | 220.11.255.255 | 262,142 |
| 4 | 220.12.0.0/14 | 220.12.0.1 to 220.15.255.254 | 220.15.255.255 | 262,142 |
| 5 | 220.16.0.0/14 | 220.16.0.1 to 220.19.255.254 | 220.19.255.255 | 262,142 |
| 6 | 220.20.0.0/14 | 220.20.0.1 to 220.23.255.254 | 220.23.255.255 | 262,142 |
| 7 | 220.24.0.0/14 | 220.24.0.1 to 220.27.255.254 | 220.27.255.255 | 262,142 |
| 8 | 220.28.0.0/14 | 220.28.0.1 to 220.31.255.254 | 220.31.255.255 | 262,142 |
| 9 | 220.32.0.0/14 | 220.32.0.1 to 220.35.255.254 | 220.35.255.255 | 262,142 |
| 10 | 220.36.0.0/14 | 220.36.0.1 to 220.39.255.254 | 220.39.255.255 | 262,142 |
| 11 | 220.40.0.0/14 | 220.40.0.1 to 220.43.255.254 | 220.43.255.255 | 262,142 |
| 12 | 220.44.0.0/14 | 220.44.0.1 to 220.47.255.254 | 220.47.255.255 | 262,142 |
| 13 | 220.48.0.0/14 | 220.48.0.1 to 220.51.255.254 | 220.51.255.255 | 262,142 |
| 14 | 220.52.0.0/14 | 220.52.0.1 to 220.55.255.254 | 220.55.255.255 | 262,142 |
| 15 | 220.56.0.0/14 | 220.56.0.1 to 220.59.255.254 | 220.59.255.255 | 262,142 |
| 16 | 220.60.0.0/14 | 220.60.0.1 to 220.63.255.254 | 220.63.255.255 | 262,142 |
| 17 | 220.64.0.0/14 | 220.64.0.1 to 220.67.255.254 | 220.67.255.255 | 262,142 |
| 18 | 220.68.0.0/14 | 220.68.0.1 to 220.71.255.254 | 220.71.255.255 | 262,142 |
| 19 | 220.72.0.0/14 | 220.72.0.1 to 220.75.255.254 | 220.75.255.255 | 262,142 |
| 20 | 220.76.0.0/14 | 220.76.0.1 to 220.79.255.254 | 220.79.255.255 | 262,142 |
| 21 | 220.80.0.0/14 | 220.80.0.1 to 220.83.255.254 | 220.83.255.255 | 262,142 |
| 22 | 220.84.0.0/14 | 220.84.0.1 to 220.87.255.254 | 220.87.255.255 | 262,142 |
| 23 | 220.88.0.0/14 | 220.88.0.1 to 220.91.255.254 | 220.91.255.255 | 262,142 |
| 24 | 220.92.0.0/14 | 220.92.0.1 to 220.95.255.254 | 220.95.255.255 | 262,142 |
| 25 | 220.96.0.0/14 | 220.96.0.1 to 220.99.255.254 | 220.99.255.255 | 262,142 |
| 26 | 220.100.0.0/14 | 220.100.0.1 to 220.103.255.254 | 220.103.255.255 | 262,142 |
| 27 | 220.104.0.0/14 | 220.104.0.1 to 220.107.255.254 | 220.107.255.255 | 262,142 |
| 28 | 220.108.0.0/14 | 220.108.0.1 to 220.111.255.254 | 220.111.255.255 | 262,142 |
| 29 | 220.112.0.0/14 | 220.112.0.1 to 220.115.255.254 | 220.115.255.255 | 262,142 |
| 30 | 220.116.0.0/14 | 220.116.0.1 to 220.119.255.254 | 220.119.255.255 | 262,142 |
| 31 | 220.120.0.0/14 | 220.120.0.1 to 220.123.255.254 | 220.123.255.255 | 262,142 |
| 32 | 220.124.0.0/14 | 220.124.0.1 to 220.127.255.254 | 220.127.255.255 | 262,142 |
| 33 | 220.128.0.0/14 | 220.128.0.1 to 220.131.255.254 | 220.131.255.255 | 262,142 |
| 34 | 220.132.0.0/14 | 220.132.0.1 to 220.135.255.254 | 220.135.255.255 | 262,142 |
| 35 | 220.136.0.0/14 | 220.136.0.1 to 220.139.255.254 | 220.139.255.255 | 262,142 |
| 36 | 220.140.0.0/14 | 220.140.0.1 to 220.143.255.254 | 220.143.255.255 | 262,142 |
| 37 | 220.144.0.0/14 | 220.144.0.1 to 220.147.255.254 | 220.147.255.255 | 262,142 |
| 38 | 220.148.0.0/14 | 220.148.0.1 to 220.151.255.254 | 220.151.255.255 | 262,142 |
| 39 | 220.152.0.0/14 | 220.152.0.1 to 220.155.255.254 | 220.155.255.255 | 262,142 |
| 40 | 220.156.0.0/14 | 220.156.0.1 to 220.159.255.254 | 220.159.255.255 | 262,142 |
| 41 | 220.160.0.0/14 | 220.160.0.1 to 220.163.255.254 | 220.163.255.255 | 262,142 |
| 42 | 220.164.0.0/14 | 220.164.0.1 to 220.167.255.254 | 220.167.255.255 | 262,142 |
| 43 | 220.168.0.0/14 | 220.168.0.1 to 220.171.255.254 | 220.171.255.255 | 262,142 |
| 44 | 220.172.0.0/14 | 220.172.0.1 to 220.175.255.254 | 220.175.255.255 | 262,142 |
| 45 | 220.176.0.0/14 | 220.176.0.1 to 220.179.255.254 | 220.179.255.255 | 262,142 |
| 46 | 220.180.0.0/14 | 220.180.0.1 to 220.183.255.254 | 220.183.255.255 | 262,142 |
| 47 | 220.184.0.0/14 | 220.184.0.1 to 220.187.255.254 | 220.187.255.255 | 262,142 |
| 48 | 220.188.0.0/14 | 220.188.0.1 to 220.191.255.254 | 220.191.255.255 | 262,142 |
| 49 | 220.192.0.0/14 | 220.192.0.1 to 220.195.255.254 | 220.195.255.255 | 262,142 |
| 50 | 220.196.0.0/14 | 220.196.0.1 to 220.199.255.254 | 220.199.255.255 | 262,142 |
| 51 | 220.200.0.0/14 | 220.200.0.1 to 220.203.255.254 | 220.203.255.255 | 262,142 |
| 52 | 220.204.0.0/14 | 220.204.0.1 to 220.207.255.254 | 220.207.255.255 | 262,142 |
| 53 | 220.208.0.0/14 | 220.208.0.1 to 220.211.255.254 | 220.211.255.255 | 262,142 |
| 54 | 220.212.0.0/14 | 220.212.0.1 to 220.215.255.254 | 220.215.255.255 | 262,142 |
| 55 | 220.216.0.0/14 | 220.216.0.1 to 220.219.255.254 | 220.219.255.255 | 262,142 |
| 56 | 220.220.0.0/14 | 220.220.0.1 to 220.223.255.254 | 220.223.255.255 | 262,142 |
| 57 | 220.224.0.0/14 | 220.224.0.1 to 220.227.255.254 | 220.227.255.255 | 262,142 |
| 58 | 220.228.0.0/14 | 220.228.0.1 to 220.231.255.254 | 220.231.255.255 | 262,142 |
| 59 | 220.232.0.0/14 | 220.232.0.1 to 220.235.255.254 | 220.235.255.255 | 262,142 |
| 60 | 220.236.0.0/14 | 220.236.0.1 to 220.239.255.254 | 220.239.255.255 | 262,142 |
| 61 | 220.240.0.0/14 | 220.240.0.1 to 220.243.255.254 | 220.243.255.255 | 262,142 |
| 62 | 220.244.0.0/14 | 220.244.0.1 to 220.247.255.254 | 220.247.255.255 | 262,142 |
| 63 | 220.248.0.0/14 | 220.248.0.1 to 220.251.255.254 | 220.251.255.255 | 262,142 |
| 64 | 220.252.0.0/14 | 220.252.0.1 to 220.255.255.254 | 220.255.255.255 | 262,142 |
| 65 | 221.0.0.0/14 | 221.0.0.1 to 221.3.255.254 | 221.3.255.255 | 262,142 |
| 66 | 221.4.0.0/14 | 221.4.0.1 to 221.7.255.254 | 221.7.255.255 | 262,142 |
| 67 | 221.8.0.0/14 | 221.8.0.1 to 221.11.255.254 | 221.11.255.255 | 262,142 |
| 68 | 221.12.0.0/14 | 221.12.0.1 to 221.15.255.254 | 221.15.255.255 | 262,142 |
| 69 | 221.16.0.0/14 | 221.16.0.1 to 221.19.255.254 | 221.19.255.255 | 262,142 |
| 70 | 221.20.0.0/14 | 221.20.0.1 to 221.23.255.254 | 221.23.255.255 | 262,142 |
| 71 | 221.24.0.0/14 | 221.24.0.1 to 221.27.255.254 | 221.27.255.255 | 262,142 |
| 72 | 221.28.0.0/14 | 221.28.0.1 to 221.31.255.254 | 221.31.255.255 | 262,142 |
| 73 | 221.32.0.0/14 | 221.32.0.1 to 221.35.255.254 | 221.35.255.255 | 262,142 |
| 74 | 221.36.0.0/14 | 221.36.0.1 to 221.39.255.254 | 221.39.255.255 | 262,142 |
| 75 | 221.40.0.0/14 | 221.40.0.1 to 221.43.255.254 | 221.43.255.255 | 262,142 |
| 76 | 221.44.0.0/14 | 221.44.0.1 to 221.47.255.254 | 221.47.255.255 | 262,142 |
| 77 | 221.48.0.0/14 | 221.48.0.1 to 221.51.255.254 | 221.51.255.255 | 262,142 |
| 78 | 221.52.0.0/14 | 221.52.0.1 to 221.55.255.254 | 221.55.255.255 | 262,142 |
| 79 | 221.56.0.0/14 | 221.56.0.1 to 221.59.255.254 | 221.59.255.255 | 262,142 |
| 80 | 221.60.0.0/14 | 221.60.0.1 to 221.63.255.254 | 221.63.255.255 | 262,142 |
| 81 | 221.64.0.0/14 | 221.64.0.1 to 221.67.255.254 | 221.67.255.255 | 262,142 |
| 82 | 221.68.0.0/14 | 221.68.0.1 to 221.71.255.254 | 221.71.255.255 | 262,142 |
| 83 | 221.72.0.0/14 | 221.72.0.1 to 221.75.255.254 | 221.75.255.255 | 262,142 |
| 84 | 221.76.0.0/14 | 221.76.0.1 to 221.79.255.254 | 221.79.255.255 | 262,142 |
| 85 | 221.80.0.0/14 | 221.80.0.1 to 221.83.255.254 | 221.83.255.255 | 262,142 |
| 86 | 221.84.0.0/14 | 221.84.0.1 to 221.87.255.254 | 221.87.255.255 | 262,142 |
| 87 | 221.88.0.0/14 | 221.88.0.1 to 221.91.255.254 | 221.91.255.255 | 262,142 |
| 88 | 221.92.0.0/14 | 221.92.0.1 to 221.95.255.254 | 221.95.255.255 | 262,142 |
| 89 | 221.96.0.0/14 | 221.96.0.1 to 221.99.255.254 | 221.99.255.255 | 262,142 |
| 90 | 221.100.0.0/14 | 221.100.0.1 to 221.103.255.254 | 221.103.255.255 | 262,142 |
| 91 | 221.104.0.0/14 | 221.104.0.1 to 221.107.255.254 | 221.107.255.255 | 262,142 |
| 92 | 221.108.0.0/14 | 221.108.0.1 to 221.111.255.254 | 221.111.255.255 | 262,142 |
| 93 | 221.112.0.0/14 | 221.112.0.1 to 221.115.255.254 | 221.115.255.255 | 262,142 |
| 94 | 221.116.0.0/14 | 221.116.0.1 to 221.119.255.254 | 221.119.255.255 | 262,142 |
| 95 | 221.120.0.0/14 | 221.120.0.1 to 221.123.255.254 | 221.123.255.255 | 262,142 |
| 96 | 221.124.0.0/14 | 221.124.0.1 to 221.127.255.254 | 221.127.255.255 | 262,142 |
| 97 | 221.128.0.0/14 | 221.128.0.1 to 221.131.255.254 | 221.131.255.255 | 262,142 |
| 98 | 221.132.0.0/14 | 221.132.0.1 to 221.135.255.254 | 221.135.255.255 | 262,142 |
| 99 | 221.136.0.0/14 | 221.136.0.1 to 221.139.255.254 | 221.139.255.255 | 262,142 |
| 100 | 221.140.0.0/14 | 221.140.0.1 to 221.143.255.254 | 221.143.255.255 | 262,142 |
| 101 | 221.144.0.0/14 | 221.144.0.1 to 221.147.255.254 | 221.147.255.255 | 262,142 |
| 102 | 221.148.0.0/14 | 221.148.0.1 to 221.151.255.254 | 221.151.255.255 | 262,142 |
| 103 | 221.152.0.0/14 | 221.152.0.1 to 221.155.255.254 | 221.155.255.255 | 262,142 |
| 104 | 221.156.0.0/14 | 221.156.0.1 to 221.159.255.254 | 221.159.255.255 | 262,142 |
| 105 | 221.160.0.0/14 | 221.160.0.1 to 221.163.255.254 | 221.163.255.255 | 262,142 |
| 106 | 221.164.0.0/14 | 221.164.0.1 to 221.167.255.254 | 221.167.255.255 | 262,142 |
| 107 | 221.168.0.0/14 | 221.168.0.1 to 221.171.255.254 | 221.171.255.255 | 262,142 |
| 108 | 221.172.0.0/14 | 221.172.0.1 to 221.175.255.254 | 221.175.255.255 | 262,142 |
| 109 | 221.176.0.0/14 | 221.176.0.1 to 221.179.255.254 | 221.179.255.255 | 262,142 |
| 110 | 221.180.0.0/14 | 221.180.0.1 to 221.183.255.254 | 221.183.255.255 | 262,142 |
| 111 | 221.184.0.0/14 | 221.184.0.1 to 221.187.255.254 | 221.187.255.255 | 262,142 |
| 112 | 221.188.0.0/14 | 221.188.0.1 to 221.191.255.254 | 221.191.255.255 | 262,142 |
| 113 | 221.192.0.0/14 | 221.192.0.1 to 221.195.255.254 | 221.195.255.255 | 262,142 |
| 114 | 221.196.0.0/14 | 221.196.0.1 to 221.199.255.254 | 221.199.255.255 | 262,142 |
| 115 | 221.200.0.0/14 | 221.200.0.1 to 221.203.255.254 | 221.203.255.255 | 262,142 |
| 116 | 221.204.0.0/14 | 221.204.0.1 to 221.207.255.254 | 221.207.255.255 | 262,142 |
| 117 | 221.208.0.0/14 | 221.208.0.1 to 221.211.255.254 | 221.211.255.255 | 262,142 |
| 118 | 221.212.0.0/14 | 221.212.0.1 to 221.215.255.254 | 221.215.255.255 | 262,142 |
| 119 | 221.216.0.0/14 | 221.216.0.1 to 221.219.255.254 | 221.219.255.255 | 262,142 |
| 120 | 221.220.0.0/14 | 221.220.0.1 to 221.223.255.254 | 221.223.255.255 | 262,142 |
| 121 | 221.224.0.0/14 | 221.224.0.1 to 221.227.255.254 | 221.227.255.255 | 262,142 |
| 122 | 221.228.0.0/14 | 221.228.0.1 to 221.231.255.254 | 221.231.255.255 | 262,142 |
| 123 | 221.232.0.0/14 | 221.232.0.1 to 221.235.255.254 | 221.235.255.255 | 262,142 |
| 124 | 221.236.0.0/14 | 221.236.0.1 to 221.239.255.254 | 221.239.255.255 | 262,142 |
| 125 | 221.240.0.0/14 | 221.240.0.1 to 221.243.255.254 | 221.243.255.255 | 262,142 |
| 126 | 221.244.0.0/14 | 221.244.0.1 to 221.247.255.254 | 221.247.255.255 | 262,142 |
| 127 | 221.248.0.0/14 | 221.248.0.1 to 221.251.255.254 | 221.251.255.255 | 262,142 |
| 128 | 221.252.0.0/14 | 221.252.0.1 to 221.255.255.254 | 221.255.255.255 | 262,142 |
| 129 | 222.0.0.0/14 | 222.0.0.1 to 222.3.255.254 | 222.3.255.255 | 262,142 |
| 130 | 222.4.0.0/14 | 222.4.0.1 to 222.7.255.254 | 222.7.255.255 | 262,142 |
| 131 | 222.8.0.0/14 | 222.8.0.1 to 222.11.255.254 | 222.11.255.255 | 262,142 |
| 132 | 222.12.0.0/14 | 222.12.0.1 to 222.15.255.254 | 222.15.255.255 | 262,142 |
| 133 | 222.16.0.0/14 | 222.16.0.1 to 222.19.255.254 | 222.19.255.255 | 262,142 |
| 134 | 222.20.0.0/14 | 222.20.0.1 to 222.23.255.254 | 222.23.255.255 | 262,142 |
| 135 | 222.24.0.0/14 | 222.24.0.1 to 222.27.255.254 | 222.27.255.255 | 262,142 |
| 136 | 222.28.0.0/14 | 222.28.0.1 to 222.31.255.254 | 222.31.255.255 | 262,142 |
| 137 | 222.32.0.0/14 | 222.32.0.1 to 222.35.255.254 | 222.35.255.255 | 262,142 |
| 138 | 222.36.0.0/14 | 222.36.0.1 to 222.39.255.254 | 222.39.255.255 | 262,142 |
| 139 | 222.40.0.0/14 | 222.40.0.1 to 222.43.255.254 | 222.43.255.255 | 262,142 |
| 140 | 222.44.0.0/14 | 222.44.0.1 to 222.47.255.254 | 222.47.255.255 | 262,142 |
| 141 | 222.48.0.0/14 | 222.48.0.1 to 222.51.255.254 | 222.51.255.255 | 262,142 |
| 142 | 222.52.0.0/14 | 222.52.0.1 to 222.55.255.254 | 222.55.255.255 | 262,142 |
| 143 | 222.56.0.0/14 | 222.56.0.1 to 222.59.255.254 | 222.59.255.255 | 262,142 |
| 144 | 222.60.0.0/14 | 222.60.0.1 to 222.63.255.254 | 222.63.255.255 | 262,142 |
| 145 | 222.64.0.0/14 | 222.64.0.1 to 222.67.255.254 | 222.67.255.255 | 262,142 |
| 146 | 222.68.0.0/14 | 222.68.0.1 to 222.71.255.254 | 222.71.255.255 | 262,142 |
| 147 | 222.72.0.0/14 | 222.72.0.1 to 222.75.255.254 | 222.75.255.255 | 262,142 |
| 148 | 222.76.0.0/14 | 222.76.0.1 to 222.79.255.254 | 222.79.255.255 | 262,142 |
| 149 | 222.80.0.0/14 | 222.80.0.1 to 222.83.255.254 | 222.83.255.255 | 262,142 |
| 150 | 222.84.0.0/14 | 222.84.0.1 to 222.87.255.254 | 222.87.255.255 | 262,142 |
| 151 | 222.88.0.0/14 | 222.88.0.1 to 222.91.255.254 | 222.91.255.255 | 262,142 |
| 152 | 222.92.0.0/14 | 222.92.0.1 to 222.95.255.254 | 222.95.255.255 | 262,142 |
| 153 | 222.96.0.0/14 | 222.96.0.1 to 222.99.255.254 | 222.99.255.255 | 262,142 |
| 154 | 222.100.0.0/14 | 222.100.0.1 to 222.103.255.254 | 222.103.255.255 | 262,142 |
| 155 | 222.104.0.0/14 | 222.104.0.1 to 222.107.255.254 | 222.107.255.255 | 262,142 |
| 156 | 222.108.0.0/14 | 222.108.0.1 to 222.111.255.254 | 222.111.255.255 | 262,142 |
| 157 | 222.112.0.0/14 | 222.112.0.1 to 222.115.255.254 | 222.115.255.255 | 262,142 |
| 158 | 222.116.0.0/14 | 222.116.0.1 to 222.119.255.254 | 222.119.255.255 | 262,142 |
| 159 | 222.120.0.0/14 | 222.120.0.1 to 222.123.255.254 | 222.123.255.255 | 262,142 |
| 160 | 222.124.0.0/14 | 222.124.0.1 to 222.127.255.254 | 222.127.255.255 | 262,142 |
| 161 | 222.128.0.0/14 | 222.128.0.1 to 222.131.255.254 | 222.131.255.255 | 262,142 |
| 162 | 222.132.0.0/14 | 222.132.0.1 to 222.135.255.254 | 222.135.255.255 | 262,142 |
| 163 | 222.136.0.0/14 | 222.136.0.1 to 222.139.255.254 | 222.139.255.255 | 262,142 |
| 164 | 222.140.0.0/14 | 222.140.0.1 to 222.143.255.254 | 222.143.255.255 | 262,142 |
| 165 | 222.144.0.0/14 | 222.144.0.1 to 222.147.255.254 | 222.147.255.255 | 262,142 |
| 166 | 222.148.0.0/14 | 222.148.0.1 to 222.151.255.254 | 222.151.255.255 | 262,142 |
| 167 | 222.152.0.0/14 | 222.152.0.1 to 222.155.255.254 | 222.155.255.255 | 262,142 |
| 168 | 222.156.0.0/14 | 222.156.0.1 to 222.159.255.254 | 222.159.255.255 | 262,142 |
| 169 | 222.160.0.0/14 | 222.160.0.1 to 222.163.255.254 | 222.163.255.255 | 262,142 |
| 170 | 222.164.0.0/14 | 222.164.0.1 to 222.167.255.254 | 222.167.255.255 | 262,142 |
| 171 | 222.168.0.0/14 | 222.168.0.1 to 222.171.255.254 | 222.171.255.255 | 262,142 |
| 172 | 222.172.0.0/14 | 222.172.0.1 to 222.175.255.254 | 222.175.255.255 | 262,142 |
| 173 | 222.176.0.0/14 | 222.176.0.1 to 222.179.255.254 | 222.179.255.255 | 262,142 |
| 174 | 222.180.0.0/14 | 222.180.0.1 to 222.183.255.254 | 222.183.255.255 | 262,142 |
| 175 | 222.184.0.0/14 | 222.184.0.1 to 222.187.255.254 | 222.187.255.255 | 262,142 |
| 176 | 222.188.0.0/14 | 222.188.0.1 to 222.191.255.254 | 222.191.255.255 | 262,142 |
| 177 | 222.192.0.0/14 | 222.192.0.1 to 222.195.255.254 | 222.195.255.255 | 262,142 |
| 178 | 222.196.0.0/14 | 222.196.0.1 to 222.199.255.254 | 222.199.255.255 | 262,142 |
| 179 | 222.200.0.0/14 | 222.200.0.1 to 222.203.255.254 | 222.203.255.255 | 262,142 |
| 180 | 222.204.0.0/14 | 222.204.0.1 to 222.207.255.254 | 222.207.255.255 | 262,142 |
| 181 | 222.208.0.0/14 | 222.208.0.1 to 222.211.255.254 | 222.211.255.255 | 262,142 |
| 182 | 222.212.0.0/14 | 222.212.0.1 to 222.215.255.254 | 222.215.255.255 | 262,142 |
| 183 | 222.216.0.0/14 | 222.216.0.1 to 222.219.255.254 | 222.219.255.255 | 262,142 |
| 184 | 222.220.0.0/14 | 222.220.0.1 to 222.223.255.254 | 222.223.255.255 | 262,142 |
| 185 | 222.224.0.0/14 | 222.224.0.1 to 222.227.255.254 | 222.227.255.255 | 262,142 |
| 186 | 222.228.0.0/14 | 222.228.0.1 to 222.231.255.254 | 222.231.255.255 | 262,142 |
| 187 | 222.232.0.0/14 | 222.232.0.1 to 222.235.255.254 | 222.235.255.255 | 262,142 |
| 188 | 222.236.0.0/14 | 222.236.0.1 to 222.239.255.254 | 222.239.255.255 | 262,142 |
| 189 | 222.240.0.0/14 | 222.240.0.1 to 222.243.255.254 | 222.243.255.255 | 262,142 |
| 190 | 222.244.0.0/14 | 222.244.0.1 to 222.247.255.254 | 222.247.255.255 | 262,142 |
| 191 | 222.248.0.0/14 | 222.248.0.1 to 222.251.255.254 | 222.251.255.255 | 262,142 |
| 192 | 222.252.0.0/14 | 222.252.0.1 to 222.255.255.254 | 222.255.255.255 | 262,142 |
| 193 | 223.0.0.0/14 | 223.0.0.1 to 223.3.255.254 | 223.3.255.255 | 262,142 |
| 194 | 223.4.0.0/14 | 223.4.0.1 to 223.7.255.254 | 223.7.255.255 | 262,142 |
| 195 | 223.8.0.0/14 | 223.8.0.1 to 223.11.255.254 | 223.11.255.255 | 262,142 |
| 196 | 223.12.0.0/14 | 223.12.0.1 to 223.15.255.254 | 223.15.255.255 | 262,142 |
| 197 | 223.16.0.0/14 | 223.16.0.1 to 223.19.255.254 | 223.19.255.255 | 262,142 |
| 198 | 223.20.0.0/14 | 223.20.0.1 to 223.23.255.254 | 223.23.255.255 | 262,142 |
| 199 | 223.24.0.0/14 | 223.24.0.1 to 223.27.255.254 | 223.27.255.255 | 262,142 |
| 200 | 223.28.0.0/14 | 223.28.0.1 to 223.31.255.254 | 223.31.255.255 | 262,142 |
| 201 | 223.32.0.0/14 | 223.32.0.1 to 223.35.255.254 | 223.35.255.255 | 262,142 |
| 202 | 223.36.0.0/14 | 223.36.0.1 to 223.39.255.254 | 223.39.255.255 | 262,142 |
| 203 | 223.40.0.0/14 | 223.40.0.1 to 223.43.255.254 | 223.43.255.255 | 262,142 |
| 204 | 223.44.0.0/14 | 223.44.0.1 to 223.47.255.254 | 223.47.255.255 | 262,142 |
| 205 | 223.48.0.0/14 | 223.48.0.1 to 223.51.255.254 | 223.51.255.255 | 262,142 |
| 206 | 223.52.0.0/14 | 223.52.0.1 to 223.55.255.254 | 223.55.255.255 | 262,142 |
| 207 | 223.56.0.0/14 | 223.56.0.1 to 223.59.255.254 | 223.59.255.255 | 262,142 |
| 208 | 223.60.0.0/14 | 223.60.0.1 to 223.63.255.254 | 223.63.255.255 | 262,142 |
| 209 | 223.64.0.0/14 | 223.64.0.1 to 223.67.255.254 | 223.67.255.255 | 262,142 |
| 210 | 223.68.0.0/14 | 223.68.0.1 to 223.71.255.254 | 223.71.255.255 | 262,142 |
| 211 | 223.72.0.0/14 | 223.72.0.1 to 223.75.255.254 | 223.75.255.255 | 262,142 |
| 212 | 223.76.0.0/14 | 223.76.0.1 to 223.79.255.254 | 223.79.255.255 | 262,142 |
| 213 | 223.80.0.0/14 | 223.80.0.1 to 223.83.255.254 | 223.83.255.255 | 262,142 |
| 214 | 223.84.0.0/14 | 223.84.0.1 to 223.87.255.254 | 223.87.255.255 | 262,142 |
| 215 | 223.88.0.0/14 | 223.88.0.1 to 223.91.255.254 | 223.91.255.255 | 262,142 |
| 216 | 223.92.0.0/14 | 223.92.0.1 to 223.95.255.254 | 223.95.255.255 | 262,142 |
| 217 | 223.96.0.0/14 | 223.96.0.1 to 223.99.255.254 | 223.99.255.255 | 262,142 |
| 218 | 223.100.0.0/14 | 223.100.0.1 to 223.103.255.254 | 223.103.255.255 | 262,142 |
| 219 | 223.104.0.0/14 | 223.104.0.1 to 223.107.255.254 | 223.107.255.255 | 262,142 |
| 220 | 223.108.0.0/14 | 223.108.0.1 to 223.111.255.254 | 223.111.255.255 | 262,142 |
| 221 | 223.112.0.0/14 | 223.112.0.1 to 223.115.255.254 | 223.115.255.255 | 262,142 |
| 222 | 223.116.0.0/14 | 223.116.0.1 to 223.119.255.254 | 223.119.255.255 | 262,142 |
| 223 | 223.120.0.0/14 | 223.120.0.1 to 223.123.255.254 | 223.123.255.255 | 262,142 |
| 224 | 223.124.0.0/14 | 223.124.0.1 to 223.127.255.254 | 223.127.255.255 | 262,142 |
| 225 | 223.128.0.0/14 | 223.128.0.1 to 223.131.255.254 | 223.131.255.255 | 262,142 |
| 226 | 223.132.0.0/14 | 223.132.0.1 to 223.135.255.254 | 223.135.255.255 | 262,142 |
| 227 | 223.136.0.0/14 | 223.136.0.1 to 223.139.255.254 | 223.139.255.255 | 262,142 |
| 228 | 223.140.0.0/14 | 223.140.0.1 to 223.143.255.254 | 223.143.255.255 | 262,142 |
| 229 | 223.144.0.0/14 | 223.144.0.1 to 223.147.255.254 | 223.147.255.255 | 262,142 |
| 230 | 223.148.0.0/14 | 223.148.0.1 to 223.151.255.254 | 223.151.255.255 | 262,142 |
| 231 | 223.152.0.0/14 | 223.152.0.1 to 223.155.255.254 | 223.155.255.255 | 262,142 |
| 232 | 223.156.0.0/14 | 223.156.0.1 to 223.159.255.254 | 223.159.255.255 | 262,142 |
| 233 | 223.160.0.0/14 | 223.160.0.1 to 223.163.255.254 | 223.163.255.255 | 262,142 |
| 234 | 223.164.0.0/14 | 223.164.0.1 to 223.167.255.254 | 223.167.255.255 | 262,142 |
| 235 | 223.168.0.0/14 | 223.168.0.1 to 223.171.255.254 | 223.171.255.255 | 262,142 |
| 236 | 223.172.0.0/14 | 223.172.0.1 to 223.175.255.254 | 223.175.255.255 | 262,142 |
| 237 | 223.176.0.0/14 | 223.176.0.1 to 223.179.255.254 | 223.179.255.255 | 262,142 |
| 238 | 223.180.0.0/14 | 223.180.0.1 to 223.183.255.254 | 223.183.255.255 | 262,142 |
| 239 | 223.184.0.0/14 | 223.184.0.1 to 223.187.255.254 | 223.187.255.255 | 262,142 |
| 240 | 223.188.0.0/14 | 223.188.0.1 to 223.191.255.254 | 223.191.255.255 | 262,142 |
| 241 | 223.192.0.0/14 | 223.192.0.1 to 223.195.255.254 | 223.195.255.255 | 262,142 |
| 242 | 223.196.0.0/14 | 223.196.0.1 to 223.199.255.254 | 223.199.255.255 | 262,142 |
| 243 | 223.200.0.0/14 | 223.200.0.1 to 223.203.255.254 | 223.203.255.255 | 262,142 |
| 244 | 223.204.0.0/14 | 223.204.0.1 to 223.207.255.254 | 223.207.255.255 | 262,142 |
| 245 | 223.208.0.0/14 | 223.208.0.1 to 223.211.255.254 | 223.211.255.255 | 262,142 |
| 246 | 223.212.0.0/14 | 223.212.0.1 to 223.215.255.254 | 223.215.255.255 | 262,142 |
| 247 | 223.216.0.0/14 | 223.216.0.1 to 223.219.255.254 | 223.219.255.255 | 262,142 |
| 248 | 223.220.0.0/14 | 223.220.0.1 to 223.223.255.254 | 223.223.255.255 | 262,142 |
| 249 | 223.224.0.0/14 | 223.224.0.1 to 223.227.255.254 | 223.227.255.255 | 262,142 |
| 250 | 223.228.0.0/14 | 223.228.0.1 to 223.231.255.254 | 223.231.255.255 | 262,142 |
| 251 | 223.232.0.0/14 | 223.232.0.1 to 223.235.255.254 | 223.235.255.255 | 262,142 |
| 252 | 223.236.0.0/14 | 223.236.0.1 to 223.239.255.254 | 223.239.255.255 | 262,142 |
| 253 | 223.240.0.0/14 | 223.240.0.1 to 223.243.255.254 | 223.243.255.255 | 262,142 |
| 254 | 223.244.0.0/14 | 223.244.0.1 to 223.247.255.254 | 223.247.255.255 | 262,142 |
| 255 | 223.248.0.0/14 | 223.248.0.1 to 223.251.255.254 | 223.251.255.255 | 262,142 |
| 256 | 223.252.0.0/14 | 223.252.0.1 to 223.255.255.254 | 223.255.255.255 | 262,142 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |